Bug 234518 - security/maia: Update to 1.0.4_4
Summary: security/maia: Update to 1.0.4_4
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Steve Wills
URL: https://github.com/technion/maia_mail...
Keywords: needs-patch, needs-qa
Depends on:
Blocks: 234458
  Show dependency treegraph
 
Reported: 2018-12-31 05:36 UTC by ek
Modified: 2019-01-01 22:25 UTC (History)
1 user (show)

See Also:
koobs: maintainer-feedback? (ek)


Attachments
security/maia port patch. (5.46 KB, patch)
2018-12-31 05:36 UTC, ek
ek: maintainer-approval+
Details | Diff
security/maia version 1.0.4_4 fixed patch. (6.93 KB, patch)
2019-01-01 03:06 UTC, ek
ek: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description ek 2018-12-31 05:36:20 UTC
Created attachment 200643 [details]
security/maia port patch.

This port has been updated to pull directly from Github as opposed to me having to host a certain version separately for each commit (I may need assistance with the proper versioning via PORTEPOCH, though). This has also been configured to work with proper PHP flavors and the code has been updated to work with PHP7 as well as Smarty3.

I made some changes to satisfy portlint that I am unsure are correct. Any advice on this would be great!

1. I was getting warnings regards "USE_GITHUB" being located above the first "USES_" line so I moved it down. Is this necessary or should it be moved back up top to the GH_* area for sanity/readability/cleanliness/etc..?

2. The version, now that it is using the handbook's suggestion for Github, is now appearing older than the previous version. It's suggested to re-version (which I probably shouldn't do?) or to use PORTEPOCK which I'm not sure how to properly do. What are the suggestions here?

Portlint output:
WARN: Makefile: possible use of absolute pathname "/var/maiad".                                                                                                                                                                                                                                   │··························
WARN: Makefile: possible use of absolute pathname "/var/maiad/virusmail...".                                                                                                                                                                                                                      │··························
FATAL: Makefile: maia-1.0.4.g20181202 < maia-1.0.4_3. Choose another PORTVERSION or bump PORTEPOCH.                                                                                                                                                                                               │··························
WARN: Makefile: Consider defining LICENSE.                                                                                                                                                                                                                                                        │··························
WARN: Makefile: "RUN_DEPENDS" has to appear earlier.                                                                                                                                                                                                                                              │··························
WARN: Makefile: "USES" has to appear earlier.                                                                                                                                                                                                                                                     │··························
1 fatal error and 5 warnings found. 

Poudriere build log:
http://clarkson.purplehat.org/data/freebsd_11-2x64-HEAD/2018-12-30_21h57m33s/logs/maia-1.0.4.g20181202.log
Comment 1 Kubilay Kocak freebsd_committer freebsd_triage 2018-12-31 06:03:40 UTC
(In reply to ek from comment #0)

Try to avoid PORTEPOCH whenever possible. Use 1.0.4_4 for now and ask upstream to start versioning (and creating tags for them), like a '1.0.4.x' series for their fixes to the original 1.0.4 before they release their next version.

All the portlint issues, except for perhaps the 'absolute pathname' ones *if* they are false positives, should be addressed.

LICENSE is GPLv3 and the project has a LICENCE.txt file so include that as a LICENSE_FILE

If this change fixes the issues in bug 234458 (it appears is does), that issue ID should be added here in the "Blocks" field. 

For future issues, there's no need to create a separate issue to submit patches if an existing issue exists for the things it addresses. Use separate issues for each separate/logical change, or for changes that apply to a different component (like another port, with another maintainer)
Comment 2 ek 2019-01-01 03:06:45 UTC
Created attachment 200669 [details]
security/maia version 1.0.4_4 fixed patch.

Updated patch to fix versioning, licensing and other re-ordered bits to make portlint happy.
Comment 3 ek 2019-01-01 03:13:43 UTC
I've updated the patch to fix the previously suggested issues (thanks, Koobs!). I did need to leave the absolute pathnames as they are false positives (for now). If I can come up with a better solution in the future, I will change it.

Also added block for PR 234458 as this does resolve those issues as well.

New Portlint output:
WARN: Makefile: possible use of absolute pathname "/var/maiad".
WARN: Makefile: possible use of absolute pathname "/var/maiad/virusmail...".
0 fatal errors and 2 warnings found.

New Poudriere build log:
http://clarkson.purplehat.org/data/freebsd_11-2x64-HEAD/2018-12-31_19h41m52s/logs/maia-1.0.4_4.log
Comment 4 commit-hook freebsd_committer 2019-01-01 22:25:02 UTC
A commit references this bug:

Author: swills
Date: Tue Jan  1 22:24:37 UTC 2019
New revision: 489054
URL: https://svnweb.freebsd.org/changeset/ports/489054

Log:
  security/maia: Update to 1.0.4_4

  Port now fetches from GitHub. While here, pet portlint.

  PR:		234518
  Submitted by:	Janky Jay <ek@purplehat.org> (maintainer)

Changes:
  head/security/maia/Makefile
  head/security/maia/distinfo
  head/security/maia/files/pkg-message.in
  head/security/maia/pkg-plist
Comment 5 Steve Wills freebsd_committer 2019-01-01 22:25:52 UTC
Committed, thanks!